#ifndef KS0108_H
#define KS0108_H

#include <avr/io.h>
#include <util/delay.h>

#define		GLCD_DATA_DIR		DDRC
#define		GLCD_DATA_OUT		PORTC
#define		GLCD_DATA_IN		PINC
#define		GLCD_DDR_IN			0x00
#define		GLCD_DDR_OUT		0xFF

#define		GLCD_CONT_DIR0	DDRB
#define		GLCD_CONT_OUT0	PORTB
#define		GLCD_CONT_IN0		PINB

#define		GLCD_CONT_DIR1	DDRG
#define		GLCD_CONT_OUT1	PORTG
#define		GLCD_CONT_IN1		PING

#define		GLCD_RW				  PB0
#define		GLCD_CS1				PG0
#define		GLCD_CS2				PG1
#define		GLCD_RST				PG2
#define		GLCD_RS				  PG3
#define		GLCD_EN				  PG4

#define		GLCD_LCDON	 	  0x3F
#define		GLCD_LCDOFF		  0x3E
#define		GLCD_DSPSTART	  0xC0
#define		GLCD_CHIP1    	0x00
#define		GLCD_CHIP2    	0x01
#define		GLCD_SET_X		  0x40
#define		GLCD_SET_Y		  0xB8
#define		GLCD_BLACK			0xFF
#define		GLCD_CLEAR			0x00

void GLCD_Init();
void GLCD_Clock();
void GLCD_WriteCmd(uint8_t cmd, uint8_t chipsel);
void GLCD_WriteData(uint8_t data);
uint8_t GLCD_ReadData();
void GLCD_GotoXY(uint8_t x, uint8_t y);
void GLCD_Fill(uint8_t Mode);
void GLCD_SetPixel(uint8_t	x, uint8_t y);
uint8_t sgn(uint8_t x);
void GLCD_DrawLine(uint8_t xstart,uint8_t ystart,uint8_t xend,uint8_t yend);
void GLCD_DrawBox(uint8_t x, uint8_t y, uint8_t width, uint8_t height);

#endif // KS0108_H
